#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint8_t uint8_eq_const_0_0;
    uint8_t uint8_eq_const_1_0;
    uint8_t uint8_eq_const_2_0;
    uint8_t uint8_eq_const_3_0;
    uint8_t uint8_eq_const_4_0;
    uint8_t uint8_eq_const_5_0;
    uint8_t uint8_eq_const_6_0;
    uint8_t uint8_eq_const_7_0;
    uint8_t uint8_eq_const_8_0;
    uint8_t uint8_eq_const_9_0;
    uint8_t uint8_eq_const_10_0;
    uint8_t uint8_eq_const_11_0;
    uint8_t uint8_eq_const_12_0;
    uint8_t uint8_eq_const_13_0;
    uint8_t uint8_eq_const_14_0;
    uint8_t uint8_eq_const_15_0;

    if (size < 16)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_4_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_5_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_6_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_7_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_8_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_9_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_10_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_11_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_12_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_13_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_14_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_15_0, &data[i], 1);
    i += 1;


    if (uint8_eq_const_0_0 == 71)
    if (uint8_eq_const_1_0 == 50)
    if (uint8_eq_const_2_0 == 45)
    if (uint8_eq_const_3_0 == 221)
    if (uint8_eq_const_4_0 == 124)
    if (uint8_eq_const_5_0 == 107)
    if (uint8_eq_const_6_0 == 162)
    if (uint8_eq_const_7_0 == 179)
    if (uint8_eq_const_8_0 == 80)
    if (uint8_eq_const_9_0 == 146)
    if (uint8_eq_const_10_0 == 94)
    if (uint8_eq_const_11_0 == 223)
    if (uint8_eq_const_12_0 == 206)
    if (uint8_eq_const_13_0 == 157)
    if (uint8_eq_const_14_0 == 95)
    if (uint8_eq_const_15_0 == 178)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
